Categories:
  - Sports & Health
License: GPL-3.0-or-later
AuthorName: Ideotec
AuthorEmail: guille@ideotec.es
AuthorWebSite: https://blog.ideotec.es/
SourceCode: https://gitlab.com/ideotec/workouttime
IssueTracker: https://gitlab.com/ideotec/workouttime/issues

AutoName: Workout Time!

RepoType: git
Repo: https://gitlab.com/ideotec/workouttime.git

Builds:
  - versionName: 1.0.0
    versionCode: 1
    commit: v1.0.0
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.0.2
    rm:
      - ios
      - web
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.1.0
    versionCode: 2
    commit: v1.1.0
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.0.3
    rm:
      - ios
      - web
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.2.0
    versionCode: 3
    commit: v1.2.0
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.0.3
    rm:
      - ios
      - web
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.0
    versionCode: 4
    commit: v1.3.0
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.0.3
    rm:
      - ios
      - web
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.4.0
    versionCode: 5
    commit: v1.4.0
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.0.3
    rm:
      - ios
      - web
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.4.1
    versionCode: 6
    commit: v1.4.1
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.0.3
    rm:
      - ios
      - web
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.5.0
    versionCode: 7
    commit: v1.5.0
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.0.5
    rm:
      - ios
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.5.1
    versionCode: 8
    commit: v1.5.1
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.0.5
    rm:
      - ios
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://gitlab.com/ideotec/workouttime/-/raw/master/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.5.1
CurrentVersionCode: 8
